Skip to main content
GET
/
v1
/
device
/
thermal-control
/
current-state
Get Thermal Control Current State
curl --request GET \
  --url https://api.nox.energy/v1/device/thermal-control/current-state \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "device_id": "HP123456",
    "timestamp": "2025-01-15 10:30:00",
    "tank": {
      "Y": 3.2,
      "DHW_temperature": 55.5,
      "Q_loss": 0.5,
      "Q_gain": [
        1.8,
        1.6,
        1.2,
        1
      ],
      "P": [
        1.5,
        1,
        0.5,
        0.1
      ]
    },
    "house": {
      "Y": 2.1,
      "space_temperature": 20.5,
      "Q_natural": 0.2,
      "Q_heating": [
        0.5,
        0.7,
        0.9,
        1,
        1.2,
        1.5,
        1.7,
        2
      ],
      "Q_cooling": [
        0.1,
        0.2,
        0.3,
        0.4,
        0.5,
        0.6,
        0.7,
        0.8
      ],
      "P_heating": [
        0.5,
        0.7,
        0.9,
        1,
        1.2,
        1.5,
        1.7,
        2
      ],
      "P_cooling": [
        0.1,
        0.2,
        0.3,
        0.4,
        0.5,
        0.6,
        0.7,
        0.8
      ]
    }
  },
  "meta": {
    "timestamp_time_zone": "UTC",
    "temperature_unit": "°C",
    "tank_Y_unit": "kWh",
    "tank_Q_loss_unit": "kW",
    "tank_Q_gain_unit": "kW",
    "tank_P_unit": "kW",
    "house_Y_unit": "kWh",
    "house_Q_natural_unit": "kW",
    "house_Q_heating_unit": "kW",
    "house_Q_cooling_unit": "kW",
    "house_P_heating_unit": "kW",
    "house_P_cooling_unit": "kW",
    "energy_supplier": "Energy Supplier A"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

device_id
string
required

The ID of the device.

Response

Successful response